Update PositivePay Rule - V3

Update positive pay rule.

SecurityoAuth2
Request
path Parameters
ruleUID
required
string
Default: "11223"

Positive Pay Rule Unique ID

Request Body schema: application/json
One of:
customerName
string

Customer short name associated with the payment positive rule

customerAccountNumber
string

Bank Account Number

beneBankId
string

Bank unique id that is used to identify a specific bank

beneName
string

A beneficiary is the person or entity that will receive the payment. If the customer is processing org then beneName is required for "FEDNOW", otherwise it's always required.

beneBankName
string

Beneficiary bank name

beneAccountNumber
string

A beneficiary bank account number, other than customer processing org beneAccountNumber is required.

amount
number

Payment amount

amountType
string

Type of amount associated with the postive pay rule.

Enum: "EXACT" "MAXIMUM"
frequency
string

Positive pay rule frequency

Enum: "Ongoing" "Onetime" "Daily" "Weekly" "Bi-weekly" "Monthly" "Quarterly" "Semi-annual" "Annual"
effectiveDate
string

Rule effective date in mm-dd-yyyy format

expiryDate
string

Rule expiry date in mm-dd-yyyy format

Responses
200

Successfully processed request

400

bad input parameter environment

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Internal server error

503

Service unavailable

default

search results matching criteria

patch/v3/positivepay/rules/{ruleUID}
Request samples
application/json
{
  • "customerName": "ABC Company",
  • "customerAccountNumber": "12387878",
  • "beneBankId": "12345678",
  • "beneName": "XYZ Name",
  • "beneBankName": "Bank Name",
  • "beneAccountNumber": "12345678",
  • "amount": 10,
  • "amountType": "EXACT",
  • "frequency": "Annual",
  • "effectiveDate": "12-31-2022",
  • "expiryDate": "12-31-2022"
}
Response samples
application/json
{
  • "errors": [
    ]
}